Jump to content
Compatible Support Forums
Sign in to follow this  
news

[security-announce] openSUSE-SU-2017:0486-1: important: Security update for mariadb

Recommended Posts

openSUSE Security Update: Security update for mariadb

______________________________________________________________________________

 

Announcement ID: openSUSE-SU-2017:0486-1

Rating: important

References: #1008253 #1020868 #1020873 #1020875 #1020877

#1020878 #1020882 #1020884 #1020885 #1020891

#1020894 #1020896 #1022428

Cross-References: CVE-2016-6664 CVE-2017-3238 CVE-2017-3243

CVE-2017-3244 CVE-2017-3257 CVE-2017-3258

CVE-2017-3265 CVE-2017-3291 CVE-2017-3312

CVE-2017-3317 CVE-2017-3318

Affected Products:

openSUSE Leap 42.2

openSUSE Leap 42.1

______________________________________________________________________________

 

An update that solves 11 vulnerabilities and has two fixes

is now available.

 

Description:

 

 

This mariadb version update to 10.0.29 fixes the following issues:

 

- CVE-2017-3318: unspecified vulnerability affecting Error Handling

(bsc#1020896)

- CVE-2017-3317: unspecified vulnerability affecting Logging (bsc#1020894)

- CVE-2017-3312: insecure error log file handling in mysqld_safe,

incomplete CVE-2016-6664 (bsc#1020873)

- CVE-2017-3291: unrestricted mysqld_safe's ledir (bsc#1020884)

- CVE-2017-3265: unsafe chmod/chown use in init script (bsc#1020885)

- CVE-2017-3258: unspecified vulnerability in the DDL component

(bsc#1020875)

- CVE-2017-3257: unspecified vulnerability affecting InnoDB (bsc#1020878)

- CVE-2017-3244: unspecified vulnerability affecing the DML component

(bsc#1020877)

- CVE-2017-3243: unspecified vulnerability affecting the Charsets

component (bsc#1020891)

- CVE-2017-3238: unspecified vulnerability affecting the Optimizer

component (bsc#1020882)

- CVE-2016-6664: Root Privilege Escalation (bsc#1008253)

- Applications using the client library for MySQL (libmysqlclient.so) had

a use-after-free issue that could cause the applications to crash

(bsc#1022428)

 

- notable changes:

* XtraDB updated to 5.6.34-79.1

* TokuDB updated to 5.6.34-79.1

* Innodb updated to 5.6.35

* Performance Schema updated to 5.6.35

 

Release notes and changelog:

* https://kb.askmonty.org/en/mariadb-10029-release-notes

* https://kb.askmonty.org/en/mariadb-10029-changelog

 

This update was imported from the SUSE:SLE-12-SP1:Update update project.

 

 

Patch Instructions:

 

To install this openSUSE Security Update use YaST online_update.

Alternatively you can run the command listed for your product:

 

- openSUSE Leap 42.2:

 

zypper in -t patch openSUSE-2017-257=1

 

- openSUSE Leap 42.1:

 

zypper in -t patch openSUSE-2017-257=1

 

To bring your system up-to-date, use "zypper patch".

 

 

Package List:

 

- openSUSE Leap 42.2 (i586 x86_64):

 

libmysqlclient-devel-10.0.29-18.1

libmysqlclient18-10.0.29-18.1

libmysqlclient18-debuginfo-10.0.29-18.1

libmysqlclient_r18-10.0.29-18.1

libmysqld-devel-10.0.29-18.1

libmysqld18-10.0.29-18.1

libmysqld18-debuginfo-10.0.29-18.1

mariadb-10.0.29-18.1

mariadb-bench-10.0.29-18.1

mariadb-bench-debuginfo-10.0.29-18.1

mariadb-client-10.0.29-18.1

mariadb-client-debuginfo-10.0.29-18.1

mariadb-debuginfo-10.0.29-18.1

mariadb-debugsource-10.0.29-18.1

mariadb-errormessages-10.0.29-18.1

mariadb-test-10.0.29-18.1

mariadb-test-debuginfo-10.0.29-18.1

mariadb-tools-10.0.29-18.1

mariadb-tools-debuginfo-10.0.29-18.1

 

- openSUSE Leap 42.2 (x86_64):

 

libmysqlclient18-32bit-10.0.29-18.1

libmysqlclient18-debuginfo-32bit-10.0.29-18.1

libmysqlclient_r18-32bit-10.0.29-18.1

 

- openSUSE Leap 42.1 (i586 x86_64):

 

libmysqlclient-devel-10.0.29-18.1

libmysqlclient18-10.0.29-18.1

libmysqlclient18-debuginfo-10.0.29-18.1

libmysqlclient_r18-10.0.29-18.1

libmysqld-devel-10.0.29-18.1

libmysqld18-10.0.29-18.1

libmysqld18-debuginfo-10.0.29-18.1

mariadb-10.0.29-18.1

mariadb-bench-10.0.29-18.1

mariadb-bench-debuginfo-10.0.29-18.1

mariadb-client-10.0.29-18.1

mariadb-client-debuginfo-10.0.29-18.1

mariadb-debuginfo-10.0.29-18.1

mariadb-debugsource-10.0.29-18.1

mariadb-errormessages-10.0.29-18.1

mariadb-test-10.0.29-18.1

mariadb-test-debuginfo-10.0.29-18.1

mariadb-tools-10.0.29-18.1

mariadb-tools-debuginfo-10.0.29-18.1

 

- openSUSE Leap 42.1 (x86_64):

 

libmysqlclient18-32bit-10.0.29-18.1

libmysqlclient18-debuginfo-32bit-10.0.29-18.1

libmysqlclient_r18-32bit-10.0.29-18.1

 

 

References:

 

https://www.suse.com/security/cve/CVE-2016-6664.html

https://www.suse.com/security/cve/CVE-2017-3238.html

https://www.suse.com/security/cve/CVE-2017-3243.html

https://www.suse.com/security/cve/CVE-2017-3244.html

https://www.suse.com/security/cve/CVE-2017-3257.html

https://www.suse.com/security/cve/CVE-2017-3258.html

https://www.suse.com/security/cve/CVE-2017-3265.html

https://www.suse.com/security/cve/CVE-2017-3291.html

https://www.suse.com/security/cve/CVE-2017-3312.html

https://www.suse.com/security/cve/CVE-2017-3317.html

https://www.suse.com/security/cve/CVE-2017-3318.html

https://bugzilla.suse.com/1008253

https://bugzilla.suse.com/1020868

https://bugzilla.suse.com/1020873

https://bugzilla.suse.com/1020875

https://bugzilla.suse.com/1020877

https://bugzilla.suse.com/1020878

https://bugzilla.suse.com/1020882

https://bugzilla.suse.com/1020884

https://bugzilla.suse.com/1020885

https://bugzilla.suse.com/1020891

https://bugzilla.suse.com/1020894

https://bugzilla.suse.com/1020896

https://bugzilla.suse.com/1022428

 

--

To unsubscribe, e-mail: opensuse-security-announce+unsubscribe ( -at -) opensuse.org

For additional commands, e-mail: opensuse-security-announce+help ( -at -) opensuse.org

 

 

 

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

×